%define name mps-youtube
%define version 0.2.7.1
%define srcname mpsyt
%define release %mkrel 1

Summary:	Terminal based YouTube player and downloader
Name:		%{name}
Version:	%{version}
License:	LGPLv3
Group:		Video
Release:	%{release}
Source0:	https://pypi.python.org/packages/source/m/%{name}/%{name}-%version.tar.xz
Source1:	mpsyoutube.desktop
Source2:	youtube-logo.png
URL:		http://github.com/np1/mps-youtube
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:	python3-devel
Provides:	%{srcname} = %{version}
Provides:	%{name} = %{version}
Requires:	python3 >= 3.4
Requires:	python3-pafy >= 0.4.3
Requires:	ffmpeg
Requires:	mplayer
Requires:	mpv
BuildArch:	noarch

%description
This project is based on mps, a terminal based program to search, stream and download music. 
This implementation uses YouTube as a source of content and can play and download video 
as well as audio. The pafy library handles interfacing with YouTube.

Features:

    Search and play audio/video from YouTube
    Search tracks of albums by album title
    Search and import YouTube playlists
    Create and save local playlists
    Download audio/video
    Convert to mp3 & other formats (requires ffmpeg or avconv)
    View video comments
    Works with Python 3.x
    Works with Windows, Linux and Mac OS X
    Requires mplayer or mpv

%prep
%setup -qn %{name}-%{version}

%build
# direct install

%install
%__rm -rf %{buildroot}
%__python3 setup.py install --root=%{buildroot}

install -Dpm 0644 %SOURCE1 %{buildroot}%{_datadir}/applications/
# no need for this icon, let us use from icon-themes
# install -Dpm 0644 %SOURCE2 %{buildroot}%{_datadir}/pixmaps/youtube-logo.png

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG CONTRIBUTING LICENSE README.rst
%{_bindir}/mpsyt
%{python3_sitelib}/mps_youtube*
%{_datadir}/applications/mps*.desktop
#%{_datadir}/pixmaps/youtube-logo.png


%changelog
* Thu Dec 07 2017 Zen Subz <techars21 at gmail dot com> - 0.2.7.1-1pclos2017
- Build for PCLinuxOS
